=== debian/changelog ===
aprx (2.08.svn593+dfsg-2) unstable; urgency=medium

  * remove timezone-varying timestamps from the generated manpages
    fixes "reproducible builds" (Closes: #795441)

 -- Colin Tuckley <colint@debian.org>  Tue, 18 Aug 2015 16:38:40 +0100

aprx (2.08.svn593+dfsg-1) unstable; urgency=medium

  * Remove firmware directory since no licence or sources
  * Add licences for ssl.* to debian/copyright (Closes: #794819)

 -- Colin Tuckley <colint@debian.org>  Tue, 11 Aug 2015 17:55:20 +0100

aprx (2.08.svn593-1) unstable; urgency=medium

  [ Christopher Knadle ]
  * See main ChangeLog.
  * Upstream snapshot from 2014-04-06
  * original source:
      removed files:
         build-stamp (empty)
         configure-stamp (empty)
         f4fxl-core (unnecessazry binary with no corresponding source)
      fixed these via "dpkg-source --commit", but the binary with
         no corresponding source requires creating a -dfsg source
         tarball if this is to be released into Debian proper
  * debian/copyright: updated for copyright format 1.0
                      (Previously simply said "See license.")
  * debian/compat: updated from 5 to 9
  * debian/control:
      Maintainer: fixed broken email address:
                  <aprx@ham> to <aprx@ham.net>
      Standards-Version: updated from 3.7.2 to 3.9.6
  * debian/rules: update to use 'dh' with overrides and hardening
  * debian/aprx.init: add code to disable starting aprx if STARTAPRX="no"
      is set in /etc/default/aprx.

  [ Colin Tuckley ]
  * Add Homepage field to debian/control
  * Fix minor Lintian warnings in man pages
  * Add $remote_fs to Required-Start & Required-Stop

 -- Colin Tuckley <colint@debian.org>  Sun, 14 Jun 2015 20:24:20 +0100

aprx (2.08.593-1) unstable; urgency=low

  * See main ChangeLog.

 -- aprx maintainer <arpx@ham.net>  Sun, 06 Apr 2014 02:06:07 +0300

aprx (0.0.0-1) unstable; urgency=low

  * Initial debianization.

 -- Kimmo Jukarainen <oh3gnu@ham.net>  Thu,  3 Jan 2008 20:35:29 +0200
