=== debian/control ===
Source: aprx
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Colin Tuckley <colint@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev
Standards-Version: 3.9.6
Homepage: http://ham.zmailer.org/oh2mqk/aprx/wiki-Aprx-en.html

Package: aprx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: APRS Digipeater and iGate
 Aprx is an APRS specific Digipeater and iGate.
 It supports multiple KISS-TNCs on serial ports  and listening 
 to any kernel AX.25 network interfaces.
 .
 Additional features include a built-in "erlang-monitor" to analyze
 activity level of radio channels.
 .
 This software requires a valid (and unique) ham radio callsign to
 operate fully and is therefore useful mainly for licensed radio
 amateurs.
