=== debian/watch ===
version=3
http://ham.zmailer.org/oh2mqk/aprx/aprx-(.*)\.(.*)\.tar.gz
