## aprx 2.9.0+dfsg

=== debian/changelog ===
aprx (2.9.0+dfsg-4) unstable; urgency=medium

  * Revert debhelper to 11 to comply with freeze requirements

 -- Dave Hibberd <d@vehibberd.com>  Tue, 18 May 2021 23:45:21 +0100

aprx (2.9.0+dfsg-3) unstable; urgency=medium
  [ Dave Hibberd ]
  * Add debian/gitlab-ci.yml
  * Change installinit behaviour in debian/rules
    - aprx is now disabled by default upon install
    - Belt & Braces interrupting installsystemd too
  * Added patch to modify default config commenting out default callsign
    - Closes: #987332
  [ Debian Janitor]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Update renamed lintian tag names in lintian overrides.

 -- Dave Hibberd <d@vehibberd.com>  Sun, 09 May 2021 23:15:56 +0100

aprx (2.9.0+dfsg-2) unstable; urgency=medium

  * debian/aprx.init
    - Update to rename DAEMON_ARGS variable to DAEMON_OPTS to match
      variable name in /etc/default
  * debian/compat:
    - Update from debhelper compatibility 9 to 11
  * debian/control:
    - Update Build-Depends for debhelper >=11
    - Update Vcs-Browser and Vcs-Git links to point to repository on Salsa
    - Remove Build-Depends libssl-dev and Depends openssl (Closes: #855623)
      Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc> for
      reporting the bug and examining the compile process.
    - Update Standards-Version to 4.2.1
      Changes:
        - Update copyright-format URL to use https for Debian Policy § 12.5
        - Update Priority: "extra" to "optional" for Debian Policy § 2.5
        - Update aprx.default to remove environment STARTAPRX variable for
          daemon enable/disable for Debian Policy § 9.3.3.1
        - Update aprx.init script to remove /etc/default check for daemon
          enable/disable
        - Add aprx.README.Debian for explanation of using update-rc.d to
          enable/disable daemon for sysvinit, and systemctl commands for
          enable/disable with systemd
        - Update debian/rules for DH_VERBOSE=1 to increase build verbosity
          as requested in Debian Policy § 4.9
  * debian/copyright:
    - Update copyright years for debian/* section
  * debian/patches:
    - Add 02-reproducible-builds.patch to make build reproducible.
      Thanks to Chris Lamb <lamby@debian.org> for filing the bug, including a
      patch with a fix, and finding the Git commit to the fix upstream. :)
      (Closes: #854111)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 27 Sep 2018 03:20:51 +0000

aprx (2.9.0+dfsg-1) unstable; urgency=medium

  * New Upstream Import
  * Removed firmware folder, no license or sources
  * Removed windows folder, no license or attribution given

 -- Dave Hibberd <d@vehibberd.com>  Tue, 24 Jan 2017 19:20:16 +0000
