=== debian/control ===
Source: aprx
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Colin Tuckley  <colint@debian.org>, Dave Hibberd <d@vehibberd.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: https://thelifeofkenneth.com/aprx/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/aprx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/aprx.git

Package: aprx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: APRS Digipeater and iGate
 Aprx is an APRS specific Digipeater and iGate.
 It supports multiple KISS-TNCs on serial ports  and listening
 to any kernel AX.25 network interfaces.
 .
 Additional features include a built-in "erlang-monitor" to analyze
 activity level of radio channels.
 .
 This software requires a valid (and unique) ham radio callsign to
 operate fully and is therefore useful mainly for licensed radio
 amateurs.
