=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pthread --sbindir=/usr/sbin \
		--sysconfdir=/etc --localstatedir=/var \
		--mandir=/usr/share/man

override_dh_auto_clean:
	dh_auto_clean
	rm -vf ./test ./aprx-complex.conf Makefile

override_dh_installinit:
	dh_installinit --restart-after-upgrade --no-enable

override_dh_installsystemd:
	dh_installsystemd --no-enable

override_dh_installdirs:
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/aprx logrotate.aprx install
	cp logrotate.aprx debian/aprx.logrotate
	install -m 644 apparmor.aprx $(CURDIR)/debian/aprx/etc/apparmor.d/sbin.aprx
