=== debian/watch ===
# debian/watch
# Debian uscan file for 'qsstv' package.
version=4
opts="repack,repacksuffix=+repack,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/" \
https://thelifeofkenneth.com/aprx/release/ \
(?:|.*/)aprx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
