## aprx 2.9.1

=== doc/man/Makefile ===

default:
	mkdir -p out
	pdflatex -draftmode -output-directory out -jobname aprx-manual main.tex
	pdflatex -output-directory out -jobname aprx-manual main.tex
