=== debian/changelog ===
aprx (2.9.1-4) unstable; urgency=medium

  [Adrian Bunk]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15. (Closes: #1096319)

  [Dave Hibberd]
  * d/control
    - Bump standards to 4.7.2
  * d/Watch
    - Bump to V5
  * d/rules
    - Added some config generated files to autoclean
  * d/source/lintian-overrides
    - Updates overrides to reflect d/rules update

 -- Dave Hibberd <hibby@debian.org>  Sat, 20 Sep 2025 17:19:07 +0100

aprx (2.9.1-3) unstable; urgency=medium

  * Added patch for GCC14 FTBFS
    - Closes: #1074814
  * d/control
    - Updated my details
    - Bumped standards

 -- Dave Hibberd <hibby@debian.org>  Tue, 27 Aug 2024 23:06:29 +0100

aprx (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Install aprx.service, thanks Andreas Henriksson. (Closes: #950952)
  * Drop lsb-base dependency.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Jun 2024 11:03:51 +0200

aprx (2.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Dave Hibberd ]
  * New upstream release
  * Upstream have removed windows/* and firmware/* folder, dropped dfsg repackage
  * Patches refreshed
    - Removed 01-man-page.patch
    - Removed 02-reproducible-builds.patch
    - Inserted 05-aprx-stat.patch

  [ Christoph Berg ]
  * debian/watch: Drop repack.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 10:55:09 +0100

aprx (2.9.0+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Dave Hibberd ]
  * Bump dh to 13
  * Remove colint from uploaders, thanks for all your work
    - Closes: #990609
  * Bump standards to 4.6.0.0
  * Added hardening flags to d/rules
    - Clears Lintian hardening-no-fortify-functions tag
  * Updated ssl.* paragraph in d/copyright

  [ Jelmer Vernooĳ ]
  * Set upstream Repository/Repository-Browse fields.

  [ Christoph Berg ]
  * Fix FTBFS with autoconf 2.70. (Closes: #978766)
  * Add Pre-Depends: ${misc:Pre-Depends} for init-system-helpers.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Sep 2021 12:04:27 +0200
