=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Colin Tuckley  <colint@debian.org>, Dave Hibberd <d@vehibberd.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Dave Hibberd <hibby@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Homepage: https://thelifeofkenneth.com/aprx/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/aprx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/aprx.git
 
 Package: aprx
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APRS Digipeater and iGate
  Aprx is an APRS specific Digipeater and iGate.
  It supports multiple KISS-TNCs on serial ports  and listening
