=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,16 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -std=gnu17
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 # main packaging script
@@ -28,7 +29,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -vf ./test ./aprx-complex.conf Makefile
+	rm -vf ./test ./aprx-complex.conf Makefile config.log config.status
 
 override_dh_installinit:
 	dh_installinit --restart-after-upgrade --no-enable
