=== debian/watch ===
version=5
https://thelifeofkenneth.com/aprx/release/ \
(?:|.*/)aprx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
